﻿;==========================================================================================================================================================
; Archive a copy of the selected record to the archive table
;==========================================================================================================================================================

Procedure ArchiveNewAppointment(RecordNumber.s)
  
  ;------------------------------------------------------------------------------------------------
  ; Check if the alarm checker is running first
  ;------------------------------------------------------------------------------------------------
  
  If Program\DontCheck <> 1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If Program\CurrentLine <> -1
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s = "INSERT INTO Archive "
      
      QueryString.s + "SELECT * FROM Appointments "
      
      QueryString.s + "WHERE appRecord = '" + RecordNumber.s + "'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        appRecord.s = DatabaseLastInsertRowId()
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If appRecord.s <> ""
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          QueryString.s = "UPDATE Archive "
          
          QueryString.s + "SET appArchived = '1'"
          
          QueryString.s + "WHERE appRecord = '" + RecordNumber.s + "'"
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
            
            SetInfoBarArea("Headings",  "Info",  #InfoStringArchiveWorked, "ArchiveNewAppointment")
            
          Else
            
            SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed, "ArchiveNewAppointment")
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          QueryString.s = "UPDATE Appointments "
          
          QueryString.s + "SET appArchived = '1'"
          
          QueryString.s + "WHERE appRecord = '" + RecordNumber.s + "'"
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
            
            SetInfoBarArea("Headings",  "Info",  #InfoStringArchiveWorked, "ArchiveNewAppointment")
            
          Else
            
            SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed, "ArchiveNewAppointment")
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed + DatabaseError(), "ArchiveNewAppointment")
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings", "Error", #InfoStringUpdateFailed + DatabaseError(), "ArchiveNewAppointment")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      
      ; SetInfoBarArea("Headings", "Info",  #InfoStringNotSelected)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Warn",  #InfoStringAlarmRunning)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 6
; Folding = -
; EnableXP
; HideErrorLog