﻿;==========================================================================================================================================================
; Restore an archived copy of an appointment to the main appointments table
;==========================================================================================================================================================

Procedure RestoreArchivedAppointment()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ArchiveLine.i = GetGadgetState(#Gadget_AppointmentArchive_Appointments)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If ArchiveLine.i <> -1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
  
    ArchiveRecord.s = GetGadgetItemText(#Gadget_AppointmentArchive_Appointments, ArchiveLine.i, RecordColumn.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If ArchiveRecord.s <> ""
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
  
      QueryString.s = "SELECT appRecord FROM Appointments "
      
      QueryString.s + "WHERE appRecord = '" + ArchiveRecord.s + "'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseQuery(Program\DatabaseHandle,  QueryString.s)
        
        While NextDatabaseRow(Program\DatabaseHandle)
          
          FoundRecordFlag.s = GetDatabaseString(Program\DatabaseHandle, 0)
          
        Wend
        
        FinishDatabaseQuery(Program\DatabaseHandle)
        
      Else
        
        ; "The database query failed or returned nothing"
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
  
      If FoundRecordFlag.s = ""
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        QueryString.s = "INSERT INTO Appointments "
        
        QueryString.s + "SELECT * FROM Archive "
        
        QueryString.s + "WHERE appRecord = '" + ArchiveRecord.s + "'"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
          
          ; The archived copy of the appointment was copied back to the main table"
          
        Else
          
          ; Could not copy the archived appointment back to the main table"
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

      Else
        
        ; "No copy operation to perform as record already exists"
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      ; "There was no record number found on that line"
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
  
  Else
    
    ; "There is no current line selected"
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure
; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 122
; FirstLine = 76
; Folding = -
; EnableXP