﻿;==========================================================================================================================================================
; Find the last record number in the database, not necessarily the last record though due to deletions (fang)
;==========================================================================================================================================================

Procedure.s LastRecord(TableName.s)

  ;------------------------------------------------------------------------------------------------
  ; Always create long winded queries for readability
  ;------------------------------------------------------------------------------------------------
  
  QueryString.s = "SELECT MAX(appRecord) As LASTREC FROM " + TableName.s + ""
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If DatabaseQuery(Program\DatabaseHandle, QueryString.s)

    While NextDatabaseRow(Program\DatabaseHandle)
    
      LastRecord.s = GetDatabaseString(Program\DatabaseHandle,  0)
      
    Wend
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    FinishDatabaseQuery(Program\DatabaseHandle)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ProcedureReturn LastRecord.s
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

  Else
    
    ; "Failed to get the last record inserted. " + DatabaseError()
    
  EndIf  

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.22 LTS (Windows - x86)
; CursorPosition = 42
; FirstLine = 17
; Folding = -
; EnableXP