﻿;==========================================================================================================================================================
; Show the program window now
;==========================================================================================================================================================

Procedure ShowProgramWindow()

  ;------------------------------------------------------------------------------------------------
  ; Set tray semaphore to show that we don't need it
  ;------------------------------------------------------------------------------------------------

  Program\TrayState = #False

  ;------------------------------------------------------------------------------------------------
  ; Remove the tray ico, not needed any more
  ;------------------------------------------------------------------------------------------------

  RemoveSysTrayIcon(#Systray_AppointmentMuncher_Tray)

  ;------------------------------------------------------------------------------------------------
  ; Unhide the window now
  ;------------------------------------------------------------------------------------------------

  HideWindow(#Window_AppointmentMuncher, 0)

  ;------------------------------------------------------------------------------------------------
  ; Unhiding doesn't show the window sadly
  ;------------------------------------------------------------------------------------------------

  SetWindowState(#Window_AppointmentMuncher, #PB_Window_Normal)

  ;------------------------------------------------------------------------------------------------
  ; Un-hiding the window brings it to the front
  ;------------------------------------------------------------------------------------------------

  SetActiveWindow(#Window_AppointmentMuncher)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.22 LTS (Windows - x86)
; CursorPosition = 12
; Folding = -
; EnableXP