;=======================================================
; Copyright: MGB Technical Solutions 2014
;
; License: Freeware. Do what you want with it EXCEPT SELL IT which is expressly forbidden, acknowledge the source
; please. 
;
; Code format: Purebasic, v5.22 X86 LTS source code project.
;
; Dependancies: None.
;
; Graphics: All graphics came from the MATTAHAN'S BUUF collection.
;
; Thanks: Jumbuck, Infratec, walker and others
;
; Notes: I've tried to comment wherever I could but there are just so many hours in the day. There are a few things
; not 100% finished but that will come whenever I have time as there are other pressing personal issues
; facing me right now. The code is free so don't wait for me to finish!!!
;
; I've tried to overload the options available to users.
;
; Addendum: Before you complain that this program has destroyed something or did something you didn't like, have the
; decency and intelligence to actually read through the code and NOT TEST IT on LIVE DATA but copies. It is
; NOT MY JOB to rescue you from your own laziness or obdurate stupidity. I am professionally stupid!
; 
;==========================================================================================================================================================
; 
;==========================================================================================================================================================

XIncludeFile "AppointmentMuncher_Windows.pb"                                                        ; Visual designer generated windows. Don't change manually
XIncludeFile "AppointmentMuncher_Constants.pb"                                                      ; Visual designer generated constants. Don't change manually
XIncludeFile "AppointmentMuncher_Mydeclarations.pb"                                                 ; All procedural declarations
XIncludeFile "AppointmentMuncher_Myconstants.pb"                                                    ; All my personal constants

;==========================================================================================================================================================
; Freak, Srod, Sparkie, Richedit handling
;==========================================================================================================================================================

XIncludeFile "Modules\RtfTools\_CatchRTF.pbi"                                                       ; Load an RTF text file from datasection and put it into the editorgadget (By Freak I think)
XIncludeFile "Modules\RtfTools\_CatchRTF_Callback.pbi"                                              ; Callback used by CatchRFT to stream an RTF text file fron datasection and put it into the editorgadget
XIncludeFile "Modules\RtfTools\_GetRTF.pbi"                                                         ; Stream the RTF data from the requested gadget
XIncludeFile "Modules\RtfTools\_GetRTFCallback.pbi"                                                 ; Callback for the RTF stream requester
XIncludeFile "Modules\RtfTools\_GetRTFLen.pbi"                                                      ; Get the length of RTF data in the requested gadget
XIncludeFile "Modules\RtfTools\_GetRTFLenCallback.pbi"                                              ; Callback for the RTF length retriever
XIncludeFile "Modules\RtfTools\_GetRtfData.pbi"                                                     ; Get RTF data from the requested gadget

;==========================================================================================================================================================
; NetMaestro's mouse hover events code
;==========================================================================================================================================================

XIncludeFile "Modules\Third Party\_NM_Hover.pbi"                                                    ; NetMaestro's Hover library
XIncludeFile "Modules\Third Party\_SetHoverIcons.pbi"                                               ; Set the correct icons to the selected hoverable gadget

;==========================================================================================================================================================
; Generic modules used by all programs
;==========================================================================================================================================================

XIncludeFile "Modules\Generic\_ChangeIcon.pbi"                                                      ; Update each collumn of a ListIconGadget with a user defined icon as needed
XIncludeFile "Modules\Generic\_FormatField.pbi"                                                     ; Format the passed string to the correct field length
XIncludeFile "Modules\Generic\_GetShortcutText.pbi"                                                 ; Get the text of the associated shortcut constant
XIncludeFile "Modules\Generic\_KillQuote.pbi"                                                       ; Kill double quotes in strings for display purposes
XIncludeFile "Modules\Generic\_LastLine.pbi"                                                        ; Go to the last line of a ListIconGadget
XIncludeFile "Modules\Generic\_RemoveBorders.pbi"                                                   ; Remove borders from various gadgets
XIncludeFile "Modules\Generic\_RepQuote.pbi"                                                        ; Uncle Berikco's routine to properly replace single quotes with double for SQL passing
XIncludeFile "Modules\Generic\_SetSearchQuery.pbi"                                                  ; Alias the search type text to SQLite operators
XIncludeFile "Modules\Generic\_StringFirstUpper.pbi"                                                ; Convert the first character of a string to uppercase
XIncludeFile "Modules\Generic\_TextToXML.pbi"                                                       ; Replace bad characters with XML compatible ones. Thorsten Hoeppner
XIncludeFile "Modules\Generic\_XMLToText.pbi"                                                       ; Strip illegal characters from text strings

;==========================================================================================================================================================
; Custom include files
;==========================================================================================================================================================

XIncludeFile "Modules\Custom\_BuildImageList.pbi"                                                   ; Rebuild the image list as it gets trashed by the clear command
XIncludeFile "Modules\Custom\_CloseMyWindow.pbi"                                                    ; Fade the window out gently, close it and reset the mutex
XIncludeFile "Modules\Custom\_FormatMenu.pbi"                                                       ; Format menu text and shortcut strings to nice length
XIncludeFile "Modules\Custom\_LocalTime.pbi"                                                        ; Convert from 12 to 24 hour mode and back
XIncludeFile "Modules\Custom\_IsoDate.pbi"                                                          ; Convert an ISO format date to Australian and back
XIncludeFile "Modules\Custom\_MakeSureDirectoryPathExists.pbi"                                      ; Need a unicode aware version of the API directory creator
XIncludeFile "Modules\Custom\_ReadProgramOptions.pbi"                                               ; Read the program toggles from the database
XIncludeFile "Modules\Custom\_SaveProgramOptions.pbi"                                               ; Save all the program options whenever you need to
XIncludeFile "Modules\Custom\_SetInfoBarArea.pbi"                                                   ; Send messages and error reports to the fake status bar area
XIncludeFile "Modules\Custom\_SetListIconHeaderTest.pbi"                                            ; Set the heading of a ListIconGadget based on what you are hovering over 
XIncludeFile "Modules\Custom\_SetupAppointments.pbi"                   ; Window                     ; Setup various program options and switches
XIncludeFile "Modules\Custom\_SetupAppointmentsSave.pbi"                                            ; Save all the setup variables to database
XIncludeFile "Modules\Custom\_TitleBarClock.pbi"                                                    ; Run an asynchronous clock in the window title bar
XIncludeFile "Modules\Custom\_WindowCallback.pbi"                                                   ; Window snap, strikeoutfont and more
XIncludeFile "Modules\Custom\_WriteErrorLog.pbi"                                                    ; Write the error log to disk at program's end or when full

;==========================================================================================================================================================
; Help and information menus
;==========================================================================================================================================================

XIncludeFile "Modules\Help\_AboutAppointments.pbi"                                                  ; AppointmentMuncher 'About' window
XIncludeFile "Modules\Help\_HelpAppointments.pbi"                                                   ; Show an RTF help file loaded into this window
XIncludeFile "Modules\Help\_KeysAppointments.pbi"                                                   ; Show a list of all the keyboard shortcuts

;==========================================================================================================================================================
; Various program toggles
;==========================================================================================================================================================

XIncludeFile "Modules\Toggles\_ToggleBalloonToolTips.pbi"                                            ; Turn the balloon tooltips on or off. No need to remove them
XIncludeFile "Modules\Toggles\_ToggleStickyWindow.pbi"                                               ; Change the desktop from on top to under others
XIncludeFile "Modules\Toggles\_ToggleTitleClock.pbi"                                                 ; Turn the titlebar clock on or off
XIncludeFile "Modules\Toggles\_ToggleScreenSnap.pbi"                                                 ; Turn snapping to screen borders on and off
XIncludeFile "Modules\Toggles\_ToggleEmailAlarm.pbi"                                                 ; Turn on sending of email appointments
XIncludeFile "Modules\Toggles\_ToggleAutoArchive.pbi"                                                ; Turn on automatic appointment archiving

;==========================================================================================================================================================
; Minimising and maximising the program window
;==========================================================================================================================================================

XIncludeFile "Modules\Windows\_HideProgramWindow.pbi"                                                 ; Hide the program window
XIncludeFile "Modules\Windows\_ShowProgramWindow.pbi"                                                 ; Show the program window

;==========================================================================================================================================================
; Balloon and tooltip handling
;==========================================================================================================================================================

XIncludeFile "Modules\ToolTips\_BalloonTip.pbi"                                                     ; Add balloon tooltips with individual fonts and icons
XIncludeFile "Modules\ToolTips\_GetIconHandle.pbi"                                                  ; Copy the icon into memory while deleting the original image copied from

;==========================================================================================================================================================
; Database functions
;==========================================================================================================================================================

XIncludeFile "Modules\Database\_CountRecords.pbi"                                                   ; Count the number of records in an SQLite database
XIncludeFile "Modules\Database\_DatabaseLastInsertRowId.pbi"                                        ; Get the ID of the last inserted record
XIncludeFile "Modules\Database\_LastRecord.pbi"                                                     ; Find the last record number in the database, not necessarily the last record though due to deletions (fang)
XIncludeFile "Modules\Database\_OpenSystemDatabase.pbi"                                             ; Try to open the system database and create missing tables

;==========================================================================================================================================================
; Alarm checking routines. This is where I am going to have trouble
;==========================================================================================================================================================

XIncludeFile "Modules\Alarms\_CancelCurrentAppointment.pbi"                                         ; Cancel the current appointment. Sets it as a finished task
XIncludeFile "Modules\Alarms\_ChangeAlarmCheckTime.pbi"                                             ; Change the time for alarm checks. Global
XIncludeFile "Modules\Alarms\_CheckAppointments.pbi"                     ; Spawns window            ; Run a timed background check of current appointments
XIncludeFile "Modules\Alarms\_SnoozeCurrentAppointment.pbi"                                         ; Close the current appointment, doesn't change the status
XIncludeFile "Modules\Alarms\_ShowAppointmentAlarmComment.pbi"                                      ; Show the comment for an alarm when the list is clicked on
XIncludeFile "Modules\Alarms\_SpawnAlarmWindow.pbi"                      ; Window                   ; Spawn an alarm window for each alarm that needs to open

;==========================================================================================================================================================
; Export and import routines
;==========================================================================================================================================================

XIncludeFile "Modules\Import\_ExportAppointments.pbi"                                               ; Export appointment data to a standard XML file
XIncludeFile "Modules\Import\_ImportAppointments.pbi"                                               ; Import an XML file of appointment entries
XIncludeFile "Modules\Import\_ProcessAppointmentNode.pbi"                                           ; Process the current AppointmentMuncher XML child node

;==========================================================================================================================================================
; Backup archive table
;==========================================================================================================================================================

XIncludeFile "Modules\Archive\_ArchiveCurrentAppointment.pbi"                                       ; Archive a copy of the selected record to the archive table
XIncludeFile "Modules\Archive\_ArchiveNewAppointment.pbi"                                           ; Archive a newly added appointment
XIncludeFile "Modules\Archive\_DeleteArchivedAppointment.pbi"                                       ; 
XIncludeFile "Modules\Archive\_DisplayArchiveString.pbi"                                            ; Handle all list display jobs from add, edit, list, import modes etc
XIncludeFile "Modules\Archive\_FindArchivedAppointmentNow.pbi"                                      ; 
XIncludeFile "Modules\Archive\_HelpArchivedAppointments.pbi"                                        ; 
XIncludeFile "Modules\Archive\_PrintArchivedAppointments.pbi"                                       ; 
XIncludeFile "Modules\Archive\_RestoreArchivedAppointment.pbi"                                      ; Restore an archived copy of an appointment To the main appointments table
XIncludeFile "Modules\Archive\_ShowArchivedAppointments.pbi"                                        ; Load the list of archived appointments
XIncludeFile "Modules\Archive\_ShowArchivedAppointmentComment.pbi"                                  ; Show the comment for the current archived appointment
XIncludeFile "Modules\Archive\_UpdateArchivedAppointment.pbi"                                       ; Update the archived copy of the appointment being edited (If any)

;==========================================================================================================================================================
; Data handing routines
;==========================================================================================================================================================

XIncludeFile "Modules\Data\_AddNewAppointment.pbi"                     ; Window                     ; Add a new appointment to the list
XIncludeFile "Modules\Data\_CleanAppointments.pbi"                                                  ; Permanently clean appointments marked deleted from the database
XIncludeFile "Modules\Data\_CopySelectedAppointments.pbi"                                           ; Copy highlighted appointment to the system clipboard
XIncludeFile "Modules\Data\_DeleteSelectedAppointments.pbi"                                         ; Delete all the selected appointments
XIncludeFile "Modules\Data\_DisplayAppointmentString.pbi"                                           ; Handle all list display jobs from add, edit, list, import modes etc
XIncludeFile "Modules\Data\_DisplayRecordData.pbi"                                                  ; Display the current record data
XIncludeFile "Modules\Data\_EditSelectedAppointment.pbi"               ; Window                     ; Edit the selected appointment
XIncludeFile "Modules\Data\_FindAppointments.pbi"                      ; Window                     ; Find appointments with more advanced SQL queries
XIncludeFile "Modules\Data\_FindAppointmentsNow.pbi"                                                ; Find appointments when the find button is pressed
XIncludeFile "Modules\Data\_ListAppointments.pbi"                                                   ; List all appointments at startup
XIncludeFile "Modules\Data\_PrintAppointments.pbi"                     ; TODO                       ; Print all selected appointments
XIncludeFile "Modules\Data\_SaveAppointmentData.pbi"                                                ; Save the new or edited appointment data
XIncludeFile "Modules\Data\_SearchAppointments.pbi"                                                 ; Seach for appointmnents inside a specific choice
XIncludeFile "Modules\Data\_UndeleteSelectedAppointments.pbi"                                       ; Undelete the selected appointments

;==========================================================================================================================================================
; 
;==========================================================================================================================================================

If Window_AppointmentMuncher()
  
  ;------------------------------------------------------------------------------------------------
  ; Add the chosen icons to the main listicongadget to be used by the changeicon procedure
  ;------------------------------------------------------------------------------------------------
  BuildImageList(#Gadget_AppointmentMuncher_Appointments)
  
  ;------------------------------------------------------------------------------------------------
  ; Remove theme support for certain gadgets where colours don't seem to work in PureBasic. This is
  ; as there is no crossplatform colour support for these controls
  ;------------------------------------------------------------------------------------------------
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oAll),          @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oActive),       @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oPast),         @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oToday),        @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oFuture),       @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oFinished),     @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_oDeleted),      @null.w, @null.w)
  SetWindowTheme_(GadgetID(#Gadget_AppointmentMuncher_Comment),       @null.w, @null.w)
  
  ;------------------------------------------------------------------------------------------------
  ; Create the right click popup menu for the appointment list. At the moment, I am just experimenting
  ; as the default menu colour is ugly against my chosen flat theme and colour set.
  ;------------------------------------------------------------------------------------------------
  ;//ToDo menu font
  If CreatePopupImageMenu(#Menu_AppointmentMuncher, #PB_Menu_ModernLook)
      MenuItem(#Menu_Add,           FormatMenu(#BalloonTextHeadAddAppointment,       GetShortCutText(#ShortcutKeys_Add),            25),  ImageID(#Image_Add_N))
      MenuItem(#Menu_Archive,       FormatMenu(#BalloonTextHeadArchiveAppointment,   GetShortCutText(#ShortcutKeys_Archive),        25),  ImageID(#Image_Archive_N))
      MenuItem(#Menu_Copy,          FormatMenu(#BalloonTextHeadCopyAppointment,      GetShortCutText(#ShortcutKeys_Copy),           25),  ImageID(#Image_Copy_N))
      MenuItem(#Menu_Delete,        FormatMenu(#BalloonTextHeadDeleteAppointment,    GetShortCutText(#ShortcutKeys_Delete),         25),  ImageID(#Image_Delete_N))
      MenuItem(#Menu_Edit,          FormatMenu(#BalloonTextHeadEditAppointment,      GetShortCutText(#ShortcutKeys_Edit),           25),  ImageID(#Image_Edit_N))
      MenuItem(#Menu_Export,        FormatMenu(#BalloonTextHeadExportAppointments,   GetShortCutText(#ShortcutKeys_Export),         25),  ImageID(#Image_Export_N))
      MenuItem(#Menu_Find,          FormatMenu(#BalloonTextHeadFindAppointment,      GetShortCutText(#ShortcutKeys_Find),           25),  ImageID(#Image_Find_N))
      MenuItem(#Menu_Help,          FormatMenu(#BalloonTextHeadHelpAppointment,      GetShortCutText(#ShortcutKeys_Help),           25),  ImageID(#Image_Help_N))
      MenuItem(#Menu_Import,        FormatMenu(#BalloonTextHeadImportAppointments,   GetShortCutText(#ShortcutKeys_Import),         25),  ImageID(#Image_Import_N))
      MenuItem(#Menu_Print,         FormatMenu(#BalloonTextHeadPrintAppointment,     GetShortCutText(#ShortcutKeys_Print),          25),  ImageID(#Image_Print_N))
      MenuItem(#Menu_Show,          FormatMenu(#BalloonTextHeadShowAppointments,     GetShortCutText(#ShortcutKeys_Show),           25),  ImageID(#Image_Show_N))
      MenuItem(#Menu_Undelete,      FormatMenu(#BalloonTextHeadUndeleteAppointment,  GetShortCutText(#ShortcutKeys_Undelete),       25),  ImageID(#Image_Undelete_N))
      MenuItem(#Menu_Exit,          FormatMenu(#BalloonTextHeadExitAppointment,      GetShortCutText(#ShortcutKeys_Exit),           25),  ImageID(#Image_Tooltips_N))
    MenuBar()
      MenuItem(#Menu_About,         FormatMenu(#BalloonTextHeadAboutAppointments,    GetShortCutText(#ShortcutKeys_About),          25),  ImageID(#Image_iAbout_N))
      MenuItem(#Menu_Shortcuts,     FormatMenu(#BalloonTextHeadKeyboardShortcuts,    GetShortCutText(#ShortcutKeys_Shortcuts),      25),  ImageID(#Image_iShortcuts_N))
    MenuBar()
      MenuItem(#Menu_Tooltips,      FormatMenu(#BalloonTextHeadToggleTooltips,       GetShortCutText(#ShortcutKeys_Tooltips),       25))
      MenuItem(#Menu_Stickywindow,  FormatMenu(#BalloonTextHeadToggleStickywindow,   GetShortCutText(#ShortcutKeys_Stickywindow),   25))
      MenuItem(#Menu_Titleclock,    FormatMenu(#BalloonTextHeadToggleTitleClock,     GetShortCutText(#ShortcutKeys_Titleclock),     25))
      MenuItem(#Menu_Screensnap,    FormatMenu(#BalloonTextHeadToggleScreenSnap,     GetShortCutText(#ShortcutKeys_Screensnap),     25))
      MenuItem(#Menu_EmailAlarm,    FormatMenu(#BalloonTextHeadToggleEmailAlarm,     GetShortCutText(#ShortcutKeys_EmailAlarm),     25))
      MenuItem(#Menu_AutoArchive,   FormatMenu(#BalloonTextHeadToggleAutoArchive,    GetShortCutText(#ShortcutKeys_AutoArchive),    25))
    MenuBar()
      MenuItem(#Menu_Cleandatabase, FormatMenu(#BalloonTextHeadCleanDatabase,        GetShortCutText(#ShortcutKeys_Cleandatabase),  25),  ImageID(#Image_Clean_N))
      MenuItem(#Menu_Setupprogram,  FormatMenu(#BalloonTextHeadSetupprogram,         GetShortCutText(#ShortcutKeys_Setupprogram),   25),  ImageID(#Image_Setup_N))
  Else
    MessageRequester(#InfoStringPopupMenuCreate, #InfoStringPopupMenuCreateError, #PB_MessageRequester_Ok)
    End
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; Remove the borders from some gadgets that don't have pb comands to do so. This makes the 'flat'
  ; look more consistent.
  ;------------------------------------------------------------------------------------------------
  RemoveBorders(#Gadget_AppointmentMuncher_Appointments)
  
; ;------------------------------------------------------------------------------------------------
; ; Coloured header control. By srod. Purebasic v4. Windows. I have substituted this with
; ; stringgadgets now because I couldn't remove the borders from the listicongadget headings.
; ;------------------------------------------------------------------------------------------------
; Program\OldListIconCallback = SetWindowLongPtr_(GadgetID(#Gadget_AppointmentMuncher_Appointments), #GWL_WNDPROC, @ColourListIconGadgetHeading())

  ;------------------------------------------------------------------------------------------------
  ; Colours, resizing, strikeout font, snapping to borders and more.
  ;------------------------------------------------------------------------------------------------
  SetWindowCallback(@WindowCallback())
  
  ;------------------------------------------------------------------------------------------------
  ; Turn on mouse event hover testing, this is NetMaestro's code.
  ;------------------------------------------------------------------------------------------------
  InitHoverEvents(#Window_AppointmentMuncher)
  
  ;------------------------------------------------------------------------------------------------
  ; Add the flat imagegadget only buttons to the list of mouse hover-able gadgets
  ;------------------------------------------------------------------------------------------------
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Add))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Copy))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Delete))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Edit))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Export))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Find))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Help))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Import))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Print))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Show))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Undelete))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Tooltips))
  
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_ToolTips))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Stickywindow))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Titleclock))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_ScreenSnap))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_EmailAlarm))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_AutoArchive))
  
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_CleanDatabase))
; AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_SetupProgram))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_Exit))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_iAbout))
  AddHoverGadget(GadgetID(#Gadget_AppointmentMuncher_iShortcuts))
  
  ;------------------------------------------------------------------------------------------------
  ; Load a strikeout font to be used on the item list when an appointment is marked as deleted
  ;------------------------------------------------------------------------------------------------
  CurrentFont.i   = GetGadgetFont(#Gadget_AppointmentMuncher_Appointments)                                      ; Get current font
  GetObject_(CurrentFont.i, SizeOf(LOGFONT), @logf.LOGFONT)
  FontName.s      = PeekS(@logf\lfFacename[0])
  hDEviceContext  = CreateDC_(@"DISPLAY", 0, 0, 0)
  LogPixSY        = GetDeviceCaps_(hDEviceContext, #LOGPIXELSY)
  DeleteDC_(hDEviceContext)
  Fontsize.F      = - (logf\lfHeight * 72) / LogPixSY
  LoadFont(#FontStrikeoutYes, FontName.s, Fontsize.F, #PB_Font_StrikeOut | #PB_Font_Italic | #PB_Font_HighQuality)  ; Load current font and add strikeout attribute
  LoadFont(#FontStrikeoutNo,  FontName.s, Fontsize.F, #PB_Font_HighQuality)
  
  ;------------------------------------------------------------------------------------------------
  ; Limit the number of search box characters and set the cue banner text. These variables are set
  ; in the AppointmentMuncher_Myconstants file.
  ;------------------------------------------------------------------------------------------------
  SendMessage_(GadgetID(#Gadget_AppointmentMuncher_Search), #EM_SETLIMITTEXT, 67, 0)
  SendMessage_(GadgetID(#Gadget_AppointmentMuncher_Search), #EM_SETCUEBANNER,  1,  Program\SearchCueText)
  
  ;------------------------------------------------------------------------------------------------
  ; Add your needed keyboard shortcuts for the main program window.
  ;------------------------------------------------------------------------------------------------
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Add,            #Shortcut_Add)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Archive,        #Shortcut_Archive)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Copy,           #Shortcut_Copy)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Delete,         #Shortcut_Delete)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Edit,           #Shortcut_Edit)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Export,         #Shortcut_Export)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Find,           #Shortcut_Find)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Help,           #Shortcut_Help)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Import,         #Shortcut_Import)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Print,          #Shortcut_Print)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Show,           #Shortcut_Show)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Undelete,       #Shortcut_Undelete)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Exit,           #Shortcut_Exit)
  
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_About,          #Shortcut_About)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Shortcuts,      #Shortcut_Shortcuts)
  
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Tooltips,       #Shortcut_Tooltips)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Stickywindow,   #Shortcut_Stickywindow)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Titleclock,     #Shortcut_Titleclock)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Screensnap,     #Shortcut_Screensnap)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_EmailAlarm,     #Shortcut_EmailAlarm)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_AutoArchive,    #Shortcut_AutoArchive)
  
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Cleandatabase,  #Shortcut_Cleandatabase)
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Setupprogram,   #Shortcut_Setupprogram)
  
  AddKeyboardShortcut(#Window_AppointmentMuncher, #ShortcutKeys_Enter,          #Shortcut_Enter)
  
  ;------------------------------------------------------------------------------------------------
  ; Setup the default font to be used in the balloon tooltips
  ;------------------------------------------------------------------------------------------------
  BalloonFontID.i = LoadFont(#PB_Any, "Comic Sans MS", 12, #PB_Font_HighQuality | #PB_Font_Bold)
  
  ;------------------------------------------------------------------------------------------------
  ; These are your ballon tooltips used on the main form. All headings, balloon text and icons are
  ; re-useable variables taken from the constants file.
  ;------------------------------------------------------------------------------------------------
  If BalloonFontID.i
    ; Setup your main list tooltip message
    BalloonTip(#Gadget_AppointmentMuncher_Appointments,       BalloonFontID.i, $BFBFBF, #BalloonTextMainHead,                                                                                           #BalloonTextMainList,            GetIconHandle(#ListTooltip))
    ; Setup your button tooltip messages, nicely spaced out
    BalloonTip(#Gadget_AppointmentMuncher_Add,                BalloonFontID.i, $BFBFBF, #BalloonTextHeadAddAppointment,      #CRLF$ + GetShortCutText(#ShortcutKeys_Add)            + #CRLF$ + #CRLF$ + #BalloonTextAddAppointment,      GetIconHandle(#Image_Add_N))
;   BalloonTip(#Gadget_AppointmentMuncher_Archive,            BalloonFontID.i, $BFBFBF, #BalloonTextHeadArchiveAppointment,  #CRLF$ + GetShortCutText(#ShortcutKeys_Add)            + #CRLF$ + #CRLF$ + #BalloonTextAddAppointment,      GetIconHandle(#Image_Archive_N))
    BalloonTip(#Gadget_AppointmentMuncher_Copy,               BalloonFontID.i, $BFBFBF, #BalloonTextHeadCopyAppointment,     #CRLF$ + GetShortCutText(#ShortcutKeys_Copy)           + #CRLF$ + #CRLF$ + #BalloonTextCopyAppointment,     GetIconHandle(#Image_Copy_N))
    BalloonTip(#Gadget_AppointmentMuncher_Delete,             BalloonFontID.i, $BFBFBF, #BalloonTextHeadDeleteAppointment,   #CRLF$ + GetShortCutText(#ShortcutKeys_Delete)         + #CRLF$ + #CRLF$ + #BalloonTextDeleteAppointment,   GetIconHandle(#Image_Delete_N))
    BalloonTip(#Gadget_AppointmentMuncher_Edit,               BalloonFontID.i, $BFBFBF, #BalloonTextHeadEditAppointment,     #CRLF$ + GetShortCutText(#ShortcutKeys_Edit)           + #CRLF$ + #CRLF$ + #BalloonTextEditAppointment,     GetIconHandle(#Image_Edit_N))
;   BalloonTip(#Gadget_AppointmentMuncher_Export,             BalloonFontID.i, $BFBFBF, #BalloonTextHeadExportAppointments,  #CRLF$ + GetShortCutText(#ShortcutKeys_Export)         + #CRLF$ + #CRLF$ + #BalloonTextEditAppointment,     GetIconHandle(#Image_Export_N))
    BalloonTip(#Gadget_AppointmentMuncher_Find,               BalloonFontID.i, $BFBFBF, #BalloonTextHeadFindAppointment,     #CRLF$ + GetShortCutText(#ShortcutKeys_Find)           + #CRLF$ + #CRLF$ + #BalloonTextFindAppointment,     GetIconHandle(#Image_Find_N))
    BalloonTip(#Gadget_AppointmentMuncher_Help,               BalloonFontID.i, $BFBFBF, #BalloonTextHeadHelpAppointment,     #CRLF$ + GetShortCutText(#ShortcutKeys_Help)           + #CRLF$ + #CRLF$ + #BalloonTextHelpAppointment,     GetIconHandle(#Image_Help_N))
;   BalloonTip(#Gadget_AppointmentMuncher_Import,             BalloonFontID.i, $BFBFBF, #BalloonTextHeadImportAppointments,  #CRLF$ + GetShortCutText(#ShortcutKeys_Import)         + #CRLF$ + #CRLF$ + #BalloonTextImportAppointment,   GetIconHandle(#Image_Import_N))
    BalloonTip(#Gadget_AppointmentMuncher_Print,              BalloonFontID.i, $BFBFBF, #BalloonTextHeadPrintAppointment,    #CRLF$ + GetShortCutText(#ShortcutKeys_Print)          + #CRLF$ + #CRLF$ + #BalloonTextPrintAppointment,    GetIconHandle(#Image_Print_N))
;   BalloonTip(#Gadget_AppointmentMuncher_Show,               BalloonFontID.i, $BFBFBF, #BalloonTextHeadShowAppointments,    #CRLF$ + GetShortCutText(#ShortcutKeys_Print)          + #CRLF$ + #CRLF$ + #BalloonTextShowAppointments,    GetIconHandle(#Image_Show_N))
    BalloonTip(#Gadget_AppointmentMuncher_Undelete,           BalloonFontID.i, $BFBFBF, #BalloonTextHeadUndeleteAppointment, #CRLF$ + GetShortCutText(#ShortcutKeys_Undelete)       + #CRLF$ + #CRLF$ + #BalloonTextUndeleteAppointment, GetIconHandle(#Image_Undelete_N))
    BalloonTip(#Gadget_AppointmentMuncher_Exit,               BalloonFontID.i, $BFBFBF, #BalloonTextHeadExitAppointment,     #CRLF$ + GetShortCutText(#ShortcutKeys_Exit)           + #CRLF$ + #CRLF$ + #BalloonTextExitAppointment,     GetIconHandle(#Image_Exit_N))
    
    BalloonTip(#Gadget_AppointmentMuncher_Tooltips,           BalloonFontID.i, $BFBFBF, #BalloonTextHeadToggleTooltips,      #CRLF$ + GetShortCutText(#ShortcutKeys_ToolTips)       + #CRLF$ + #CRLF$ + #BalloonTextToggleTooltips,      GetIconHandle(#Image_Tooltips_N))
    BalloonTip(#Gadget_AppointmentMuncher_Stickywindow,       BalloonFontID.i, $BFBFBF, #BalloonTextHeadToggleStickywindow,  #CRLF$ + GetShortCutText(#ShortcutKeys_StickyWindow)   + #CRLF$ + #CRLF$ + #BalloonTextToggleStickywindow,  GetIconHandle(#Image_Stickywindow_N))
    BalloonTip(#Gadget_AppointmentMuncher_Titleclock,         BalloonFontID.i, $BFBFBF, #BalloonTextHeadToggleTitleClock,    #CRLF$ + GetShortCutText(#ShortcutKeys_TitleClock)     + #CRLF$ + #CRLF$ + #BalloonTextToggleTitleClock,    GetIconHandle(#Image_TitleClock_N))
;   BalloonTip(#Gadget_AppointmentMuncher_ScreenSnap,         BalloonFontID.i, $BFBFBF, #BalloonTextHeadToggleScreenSnap,    #CRLF$ + GetShortCutText(#ShortcutKeys_ScreenSnap)     + #CRLF$ + #CRLF$ + #BalloonTextToggleScreenSnap,    GetIconHandle(#Image_ScreenSnap_N))
;   BalloonTip(#Gadget_AppointmentMuncher_EmailAlarm,         BalloonFontID.i, $BFBFBF, #BalloonTextHeadToggleEmailAlarm,    #CRLF$ + GetShortCutText(#ShortcutKeys_EmailAlarm)     + #CRLF$ + #CRLF$ + #BalloonTextToggleEmailAlarm,    GetIconHandle(#Image_EmailAlarm_N))
;   BalloonTip(#Gadget_AppointmentMuncher_AutoArchive,        BalloonFontID.i, $BFBFBF, #BalloonTextHeadToggleAutoArchive,   #CRLF$ + GetShortCutText(#ShortcutKeys_AutoArchive)    + #CRLF$ + #CRLF$ + #BalloonTextToggleAutoArchive,   GetIconHandle(#Image_AutoArchive_N))

;   BalloonTip(#Gadget_AppointmentMuncher_CleanDataBase,      BalloonFontID.i, $BFBFBF, #BalloonTextHeadCleanDatabase,       #CRLF$ + GetShortCutText(#ShortcutKeys_CleanDatabase)  + #CRLF$ + #CRLF$ + #BalloonTextToggleCleanDatabase, GetIconHandle(#Image_CleanDatabase_N))
;   BalloonTip(#Gadget_AppointmentMuncher_SetupProgram,       BalloonFontID.i, $BFBFBF, #BalloonTextHeadSetupProgram,        #CRLF$ + GetShortCutText(#ShortcutKeys_SetupProgram)   + #CRLF$ + #CRLF$ + #BalloonTextToggleSetupProgram   GetIconHandle(#Image_SetupProgram_N))
    BalloonTip(#Gadget_AppointmentMuncher_iAbout,             BalloonFontID.i, $BFBFBF, #BalloonTextHeadAboutAppointments,   #CRLF$ + GetShortCutText(#ShortcutKeys_About)          + #CRLF$ + #CRLF$ + #BalloonTextAboutAppointments,   GetIconHandle(#Image_iAbout_N))
    BalloonTip(#Gadget_AppointmentMuncher_iShortCuts,         BalloonFontID.i, $BFBFBF, #BalloonTextHeadKeyboardShortcuts,   #CRLF$ + GetShortCutText(#ShortcutKeys_Shortcuts)      + #CRLF$ + #CRLF$ + #BalloonTextKeyboardShortcuts,   GetIconHandle(#Image_iShortcuts_N))
  Else
    MessageRequester(#InfoStringBalloonFontErrorHead, #InfoStringBalloonFontErrorText, #PB_MessageRequester_Ok)
    End
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; Add the possible alarm snooze settings to the main form. These are taken from the MyConstants
  ; file data section.
  ;------------------------------------------------------------------------------------------------
  Restore BeginSnoozeSettings
  While TempCategory.s <> "_EndSnoozeSettings_"
    Read.s TempCategory.s
    If TempCategory.s <> "_EndSnoozeSettings_"
      AddGadgetItem(#Gadget_AppointmentMuncher_SnoozePeriod, -1, TempCategory.s, ImageID(#SnoozeClock))
    EndIf
  Wend
  TempCategory.s    = "<>"
  
  ;------------------------------------------------------------------------------------------------
  ; Open the master database from which we also pull the setup data.
  ;------------------------------------------------------------------------------------------------
  OpenSystemDatabase()
  
  ;------------------------------------------------------------------------------------------------
  ; Read and set all program options from the main database's setup table.
  ;------------------------------------------------------------------------------------------------
  ReadProgramOptions()
  
  ;------------------------------------------------------------------------------------------------
  ; Quickly check database and set all currently active appointments on the main form calendar to
  ; bold
  ;------------------------------------------------------------------------------------------------
  QueryString.s = "Select appDate FROM Appointments WHERE appStatus = 'Active appointment' AND appDeleted <> '1'"
  If DatabaseQuery(Program\DatabaseHandle,  QueryString.s)
    While NextDatabaseRow(Program\DatabaseHandle)
      DateToSet.i = ParseDate("%yyyy-%mm-%dd", GetDatabaseString(Program\DatabaseHandle,  0))
      SetGadgetItemState(#Gadget_AppointmentMuncher_DatePicker, DateToSet.i, #PB_Calendar_Bold)
    Wend
    FinishDatabaseQuery(Program\DatabaseHandle)
;   Else
;     Debug DatabaseError()
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; Check if the program timer needs to turn on ; Windows, event number, resolution, procedure'
  ; This value is determined at startup from a setup table value which can then be altered and
  ; saved by the user and reloaded at program start.
  ;------------------------------------------------------------------------------------------------
  If Setup\TitleClock = 1
    Setup\TitleClock = 0
  ElseIf Setup\TitleClock = 0
    Setup\TitleClock = 1
  EndIf
  
  ToggleTitleClock()
  
  ;------------------------------------------------------------------------------------------------
  ; Set this window on top of others or alarm window will not show. This value is determined at
  ; startup from a setup table value which can then be altered and saved by the user and reloaded
  ; at program start.
  ;------------------------------------------------------------------------------------------------
  If Setup\StickyWindow = 1
    Setup\StickyWindow = 0
  Else
    Setup\StickyWindow = 1
  EndIf
  
  ToggleStickyWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; Turn the balloon tooltips off or on determined by a program setting. This is a toggle function
  ; so if you pass '1' to it, it toggles to '0'
  ;------------------------------------------------------------------------------------------------
  If Setup\ToolTips = 1
    Setup\ToolTips = 0
  ElseIf Setup\ToolTips = 0
    Setup\ToolTips = 1
  EndIf
  
  ToggleBalloonToolTips()
  
  ;------------------------------------------------------------------------------------------------
  ; Turn the balloon tooltips off or on determined by a program setting. This is a toggle function
  ; so if you pass '1' to it, it toggles to '0'
  ;------------------------------------------------------------------------------------------------
  If Setup\ScreenSnap = 1
    Setup\ScreenSnap = 0
  ElseIf Setup\ScreenSnap = 0
    Setup\ScreenSnap = 1
  EndIf
  
  ToggleScreenSnap()
  
  ;------------------------------------------------------------------------------------------------
  ; Set the option gadget to show the appointment level you want to show. I like to show all events
  ; at startup but you can choose your own.
  ;------------------------------------------------------------------------------------------------
  If Setup\StartupDates
    Select Setup\StartupDates
      Case 0  : GadgetNumber.i = #Gadget_AppointmentMuncher_oAll
      Case 1  : GadgetNumber.i = #Gadget_AppointmentMuncher_oActive
      Case 2  : GadgetNumber.i = #Gadget_AppointmentMuncher_oPast
      Case 3  : GadgetNumber.i = #Gadget_AppointmentMuncher_oToday
      Case 4  : GadgetNumber.i = #Gadget_AppointmentMuncher_oFuture
      Case 5  : GadgetNumber.i = #Gadget_AppointmentMuncher_oFinished
      Case 6  : GadgetNumber.i = #Gadget_AppointmentMuncher_oDeleted
      Default
    EndSelect
    SetGadgetState(GadgetNumber.i, 1)
  Else
    GadgetNumber.i  = #Gadget_AppointmentMuncher_oAll
    SetGadgetState(GadgetNumber.i, 1)
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; Show the appointment names for the selected option set of dates by triggering a change event on;
  ; it.
  ;------------------------------------------------------------------------------------------------
  PostEvent(#PB_Event_Gadget, #Window_AppointmentMuncher, GadgetNumber.i, #PB_EventType_Change)
  
  ;------------------------------------------------------------------------------------------------
  ; Check if the alarm routine needs to be run. The on or off state and value is determined at
  ; runtime by a setup table value. PostEvent makes sure it is then checked
  ;------------------------------------------------------------------------------------------------
  If Setup\SnoozePeriod
    SetGadgetState(#Gadget_AppointmentMuncher_SnoozePeriod, Setup\SnoozePeriod)
    PostEvent(#PB_Event_Gadget, #Window_AppointmentMuncher, #Gadget_AppointmentMuncher_SnoozePeriod, #PB_EventType_Change)
  Else
    SetGadgetState(#Gadget_AppointmentMuncher_SnoozePeriod, 0)
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; Set the heading appropriate for the run time of the program
  ;------------------------------------------------------------------------------------------------
  If Setup\LastSearch <> ""
    SetGadgetText(#Gadget_AppointmentMuncher_Search, Setup\LastSearch)
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; Set the fake statusbar heading appropriate for the run time of the program
  ;------------------------------------------------------------------------------------------------
  NumberOfItems.i = CountGadgetItems(#Gadget_AppointmentMuncher_Appointments)
  
  If NumberOfItems.i = 0
    SetInfoBarArea("Headings",  "Welcome",  #InfoStringProgramStartup)
    SetInfoBarArea("Number",    "",         "?")
    SetInfoBarArea("Records",   "",         "0")
  ElseIf NumberOfItems.i <> 0
    SetGadgetState(#Gadget_AppointmentMuncher_Appointments, 0)
    PostEvent(#PB_Event_Gadget, #Window_AppointmentMuncher, #Gadget_AppointmentMuncher_Appointments, #PB_EventType_Change)
    SetInfoBarArea("Headings",  "Welcome",  #InfoStringProgramStartup)
    SetInfoBarArea("Records",   "",         Str(NumberOfItems.i))
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; Set focus on the search bar
  ;------------------------------------------------------------------------------------------------
  SetActiveGadget(#Gadget_AppointmentMuncher_Search)
  
  ;------------------------------------------------------------------------------------------------
  ; Process all program events
  ;------------------------------------------------------------------------------------------------
  Repeat
    ;----------------------------------------------------------------------------------------------
    ; Alias out the various event types.
    ;----------------------------------------------------------------------------------------------
    EventID  =  WaitWindowEvent()
    MenuID   =  EventMenu()
    GadgetID =  EventGadget()
    WindowID =  EventWindow()
    ;----------------------------------------------------------------------------------------------
    ; Select which window event happened
    ;----------------------------------------------------------------------------------------------
    Select EventID
      ;--------------------------------------------------------------------------------------------
      ; See if the mouse moved and if it did, change the listicon heading to what was under it
      ;--------------------------------------------------------------------------------------------
      Case #WM_MOUSEMOVE                                  : If Program\DontCheck <> 1 : SetListIconHeaderTest() : EndIf
      ;--------------------------------------------------------------------------------------------
      ; Handle various window closing events
      ;--------------------------------------------------------------------------------------------
      Case #PB_Event_CloseWindow
        Select WindowID
          Case #Window_AppointmentMuncher                 : Program\QuitValue = 1
          Case #Window_AppointmentData                    : CloseMyWindow(#Window_AppointmentData)
          Case #Window_AppointmentAlarm                   : CloseMyWindow(#Window_AppointmentAlarm)
          Case #Window_AppointmentAbout                   : CloseMyWIndow(#Window_AppointmentAbout)
          Case #Window_AppointmentFind                    : CloseMyWindow(#Window_AppointmentFind)
          Case #Window_AppointmentSetup                   : CloseMyWindow(#Window_AppointmentSetup)
          Case #Window_AppointmentKeys                    : CloseMyWindow(#Window_AppointmentKeys)
          Case #Window_AppointmentHelp                    : CloseMyWindow(#Window_AppointmentHelp)
          Case #Window_AppointmentArchive                 : CloseMyWindow(#Window_AppointmentArchive)
        EndSelect
        ;------------------------------------------------------------------------------------------
        ; Minimise the program to the windows tray and set icon and tooltip
        ;------------------------------------------------------------------------------------------
      Case #PB_Event_MinimizeWindow
        Select EventWindow()
          Case #Window_AppointmentMuncher                 : HideProgramWindow()
        EndSelect
        ;------------------------------------------------------------------------------------------
        ; Trigger a warning in the statusbar that the alarm routine is running
        ;------------------------------------------------------------------------------------------
      Case #WM_TIMER
        Select EventwParam()
          Case #Event_Alarm_Check                         : SetInfoBarArea("Headings",  "Warn",  #InfoStringAlarmRunning)
        EndSelect
        ;------------------------------------------------------------------------------------------
        ; Handle various menu events
        ;------------------------------------------------------------------------------------------
      Case #PB_Event_Menu
        Select MenuID
          Case #Menu_Add                                  : AddNewAppointment()
          Case #Menu_Archive                              : ArchiveCurrentAppointment()
          Case #Menu_Copy                                 : CopySelectedAppointments()
          Case #Menu_Delete                               : DeleteSelectedAppointments()
          Case #Menu_Edit                                 : EditSelectedAppointment()
          Case #Menu_Export                               : ExportAppointments()
          Case #Menu_Find                                 : FindAppointments()
          Case #Menu_Help                                 : HelpAppointments()
          Case #Menu_Import                               : ImportAppointments()
          Case #Menu_Print                                : PrintAppointments()
          Case #Menu_Show                                 : ShowArchivedAppointments()
          Case #Menu_Undelete                             : UndeleteSelectedAppointments()
          Case #Menu_Exit                                 : Program\QuitValue = 1
          
          Case #Menu_About                                : AboutAppointments()
          Case #Menu_Shortcuts                            : KeysAppointments()
          
          Case #Menu_Tooltips                             : ToggleBalloonToolTips()
          Case #Menu_Stickywindow                         : ToggleStickyWindow()
          Case #Menu_Titleclock                           : ToggleTitleClock()
          Case #Menu_Screensnap                           : ToggleScreenSnap()
          Case #Menu_EmailAlarm                           : ToggleEmailAlarm()
          Case #Menu_AutoArchive                          : ToggleAutoArchive()
            
          Case #Menu_Cleandatabase                        : CleanAppointments()
          Case #Menu_Setupprogram                         : SetupAppointments()
          ;----------------------------------------------------------------------------------------
          ; Handle various keyboard shortcut events
          ;----------------------------------------------------------------------------------------
          Case #Shortcut_Add                              : AddNewAppointment()
          Case #Shortcut_Archive                          : ArchiveCurrentAppointment()
          Case #Shortcut_Copy                             : CopySelectedAppointments()
          Case #Shortcut_Delete                           : DeleteSelectedAppointments()
          Case #Shortcut_Edit                             : EditSelectedAppointment()
          Case #Shortcut_Export                           : ExportAppointments()
          Case #Shortcut_Find                             : FindAppointments()
          Case #Shortcut_Help                             : HelpAppointments()
          Case #Shortcut_Import                           : ImportAppointments()
          Case #Shortcut_Print                            : PrintAppointments()
          Case #Shortcut_Show                             : ShowArchivedAppointments()
          Case #Shortcut_Undelete                         : UndeleteSelectedAppointments()
          Case #Shortcut_Exit                             : Program\QuitValue = 1
            
          Case #Shortcut_About                            : AboutAppointments()
          Case #Shortcut_Shortcuts                        : KeysAppointments()
            
          Case #Shortcut_Tooltips                         : ToggleBalloonToolTips()
          Case #Shortcut_Stickywindow                     : ToggleStickyWindow()
          Case #Shortcut_Titleclock                       : ToggleTitleClock()
          Case #Shortcut_Screensnap                       : ToggleScreenSnap()
          Case #Shortcut_EmailAlarm                       : ToggleEmailAlarm()
          Case #Shortcut_AutoArchive                      : ToggleAutoArchive()
            
          Case #Shortcut_Cleandatabase                    : CleanAppointments()
          Case #Shortcut_Setupprogram                     : SetupAppointments()
            
          Case #Shortcut_Enter                            : SearchAppointments()

          ;----------------------------------------------------------------------------------------
          ; Various window closure shortcuts
          ;----------------------------------------------------------------------------------------
          Case #Shortcut_AppointmentAbout_Escape          : CloseMyWindow(#Window_AppointmentAbout)
          Case #Shortcut_AppointmentAlarm_Escape          : CloseMyWindow(#Window_AppointmentAlarm)
          Case #Shortcut_AppointmentData_Escape           : CloseMyWindow(#Window_AppointmentData)
          Case #Shortcut_AppointmentFind_Escape           : CloseMyWindow(#Window_AppointmentFind)
          Case #Shortcut_AppointmentFind_Enter            : FindAppointmentsNow()
          Case #Shortcut_AppointmentSetup_Escape          : CloseMyWindow(#Window_AppointmentSetup)
          Case #Shortcut_AppointmentKeys_Escape           : CloseMyWindow(#Window_AppointmentKeys)
          Case #Shortcut_AppointmentHelp_Escape           : CloseMyWindow(#Window_AppointmentHelp)
          Case #Shortcut_AppointmentArchive_Escape        : CloseMyWindow(#Window_AppointmentArchive)
          Case #Shortcut_AppointmentArchive_Enter         : FindArchivedAppointmentNow()
          ;----------------------------------------------------------------------------------------            
          ; 
          ;----------------------------------------------------------------------------------------            
        EndSelect
        ;------------------------------------------------------------------------------------------
        ; Handle various gadget events
        ;------------------------------------------------------------------------------------------
      Case #PB_Event_Gadget
        Select GadgetID
          Case #Gadget_AppointmentMuncher_DatePicker      : ListAppointments("Selected")
          ;----------------------------------------------------------------------------------------
          ; This is the master appointment list
          ;----------------------------------------------------------------------------------------  
          Case #Gadget_AppointmentMuncher_Appointments
            Select EventType()
              Case #PB_EventType_Change                   : DisplayRecordData()
              Case #PB_EventType_LeftDoubleClick          : EditSelectedAppointment()
              Case #PB_EventType_RightDoubleClick         : AddNewAppointment()
              Case #PB_EventType_RightClick               : DisplayPopupMenu(#Menu_AppointmentMuncher, WindowID(#Window_AppointmentMuncher))
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; Appoint display level selection
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentMuncher_oAll            : ListAppointments("All")
          Case #Gadget_AppointmentMuncher_oActive         : ListAppointments("Active")
          Case #Gadget_AppointmentMuncher_oPast           : ListAppointments("Past")
          Case #Gadget_AppointmentMuncher_oToday          : ListAppointments("Today")
          Case #Gadget_AppointmentMuncher_oFuture         : ListAppointments("Future")
          Case #Gadget_AppointmentMuncher_oFinished       : ListAppointments("Finished")
          Case #Gadget_AppointmentMuncher_oDeleted        : ListAppointments("Deleted")
          Case #Gadget_AppointmentMuncher_oProtected      : ListAppointments("Protected")
          ;----------------------------------------------------------------------------------------
          ; Various flat hover button gadgets
          ;----------------------------------------------------------------------------------------
          Case #Gadget_AppointmentMuncher_iAbout
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_iAbout_H)   
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_iAbout_P)             : AboutAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_iAbout_N)   
            EndSelect
          Case #Gadget_AppointmentMuncher_iShortcuts
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_iShortcuts_H) 
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_iShortcuts_P)         : KeysAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_iShortcuts_N)   
            EndSelect
          Case #Gadget_AppointmentMuncher_Tooltips
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Tooltips_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Tooltips_P)           : ToggleBalloonToolTips()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Tooltips_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Stickywindow
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Stickywindow_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Stickywindow_P)       : ToggleStickyWindow()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Stickywindow_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Titleclock
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Titleclock_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Titleclock_P)         : ToggleTitleClock()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Titleclock_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentMuncher_Add
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Add_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Add_P)                : AddNewAppointment()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Add_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Copy
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Copy_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Copy_P)               : CopySelectedAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Copy_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Delete
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Delete_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Delete_P)             : DeleteSelectedAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Delete_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Edit
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Edit_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Edit_P)               : EditSelectedAppointment()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Edit_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Find
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Find_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Find_P)               : FindAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Find_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Help
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Help_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Help_P)               : HelpAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Help_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Print
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Print_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Print_P)              : PrintAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Print_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Undelete
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Undelete_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Undelete_P)           : UndeleteSelectedAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Undelete_N)
            EndSelect
          Case #Gadget_AppointmentMuncher_Exit
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Exit_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Exit_P)               : Program\QuitValue = 1
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Exit_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentMuncher_SnoozePeriod
            Select EventType()
              Case #PB_EventType_Change                   : ChangeAlarmCheckTime()
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; Main form search bar search cue control
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentMuncher_Search
            If GetGadgetText(#Gadget_AppointmentMuncher_Search) = ""
              SetGadgetFont(#Gadget_AppointmentMuncher_Search, FontID(Program\SearchCueFont))
            Else
              SetGadgetFont(#Gadget_AppointmentMuncher_Search, FontID(Program\SearchNormalFont))
            EndIf
            ;--------------------------------------------------------------------------------------
            ; Data collection form gadgets
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentData_Itemname           : StringFirstUpper(#Gadget_AppointmentData_Itemname)
          Case #Gadget_AppointmentData_cDatepick          : SetGadgetText(#Gadget_AppointmentData_Itemdate,  FormatDate("%dd/%mm/%yyyy", GetGadgetState(#Gadget_AppointmentData_cDatepick)))
            ;--------------------------------------------------------------------------------------
            ; Data collection form buttons
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentData_Save
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Save_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Save_P)              : SaveAppointmentData()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Save_N)
            EndSelect
          Case #Gadget_AppointmentData_Exit
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Exit_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Exit_P)              : CloseMyWindow(#Window_AppointmentData)
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Exit_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; Appointment alarm list
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentAlarm_Appointments
            Select EventType()
              Case #PB_EventType_Change                   : ShowAppointmentAlarmComment()
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; Appointment alarm buttons
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentAlarm_Snooze
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Snooze_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Snooze_P)           : SnoozeCurrentAppointment()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Snooze_N)
            EndSelect
          Case #Gadget_AppointmentAlarm_StopSound
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_StopSound_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_StopSound_P)        : StopSound(#PB_All)
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_StopSound_N)
            EndSelect
          Case #Gadget_AppointmentAlarm_Cancel
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Cancel_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Cancel_P)           : CancelCurrentAppointment()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Cancel_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; Advanced SQL appointment controls
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentFind_sQueryReturnLimit  : SetGadgetText(#Gadget_AppointmentFind_sQueryReturnLimit, Str(GetGadgetState(#Gadget_AppointmentFind_sQueryReturnLimit)))
            ;--------------------------------------------------------------------------------------
            ; Advanced SQL appointment search cue control
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentFind_Searchtext
            If GetGadgetText(#Gadget_AppointmentFind_Searchtext) = ""
              SetGadgetFont(#Gadget_AppointmentFind_Searchtext, FontID(Program\SearchCueFont))
            Else
              SetGadgetFont(#Gadget_AppointmentFind_Searchtext, FontID(Program\SearchNormalFont))
            EndIf
            ;--------------------------------------------------------------------------------------
            ; Advanced SQL appointment finder buttons
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentFind_Find
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Find_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Find_P)              : FindAppointmentsNow()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Find_N)
            EndSelect
          Case #Gadget_AppointmentFind_Exit
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Exit_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Exit_P)              : CloseMyWindow(#Window_AppointmentFind)
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Exit_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; Advanced SQL appointment finder buttons
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentSetup_Save
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Save_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Save_P)             : SetupAppointmentsSave()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Save_N)
            EndSelect
          Case #Gadget_AppointmentSetup_Exit
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Exit_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Exit_P)             : CloseMyWindow(#Window_AppointmentSetup)
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Exit_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
          Case #Gadget_AppointmentArchive_Appointments
            Select EventType()
              Case #PB_EventType_Change                   : ShowArchivedAppointmentComment()
              Case #PB_EventType_LeftDoubleClick          : 
              Case #PB_EventType_RightDoubleClick         : 
              Case #PB_EventType_RightClick               : 
            EndSelect
          Case #Gadget_AppointmentArchive_Restore
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Restore_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Restore_P)        : ; RestoreArchivedAppointment()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Restore_N)
            EndSelect
          Case #Gadget_AppointmentArchive_Delete
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Delete_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Delete_P)         : DeleteArchivedAppointment()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Delete_N)
            EndSelect
          Case #Gadget_AppointmentArchive_Find
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Find_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Find_P)           : FindArchivedAppointmentNow()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Find_N)
            EndSelect
          Case #Gadget_AppointmentArchive_Help
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Help_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Help_P)           : ; HelpArchivedAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Help_N)
            EndSelect
          Case #Gadget_AppointmentArchive_Print
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Print_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Print_P)          : ; PrintArchivedAppointments()
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Print_N)
            EndSelect
          Case #Gadget_AppointmentArchive_Search
            If GetGadgetText(#Gadget_AppointmentArchive_Search) = ""
              SetGadgetFont(#Gadget_AppointmentArchive_Search, FontID(Program\SearchCueFont))
            Else
              SetGadgetFont(#Gadget_AppointmentArchive_Search, FontID(Program\SearchNormalFont))
            EndIf
          Case #Gadget_AppointmentArchive_Exit
            Select EventType()
              Case #HoverEvent_EnterGadget                : SetHoverIcons(GadgetID, #Image_Exit_H)
              Case #PB_EventType_LeftClick                : SetHoverIcons(GadgetID, #Image_Exit_P)           : CloseMyWindow(#Window_AppointmentArchive)
              Case #HoverEvent_LeaveGadget                : SetHoverIcons(GadgetID, #Image_Exit_N)
            EndSelect
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
        EndSelect
        ;------------------------------------------------------------------------------------------
        ; Unhide the program window when the user clicks the icon in the tray
        ;------------------------------------------------------------------------------------------
      Case #PB_Event_SysTray                              : ShowProgramWindow()
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
    EndSelect
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
  Until Program\QuitValue = 1
  ;------------------------------------------------------------------------------------------------
  ; Update the setup table with any changed setup items
  ;------------------------------------------------------------------------------------------------
  SaveProgramOptions()
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  WriteErrorLog()
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  CloseWindow(#Window_AppointmentMuncher)
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
EndIf
;--------------------------------------------------------------------------------------------------
; 
;--------------------------------------------------------------------------------------------------
End

; Put in multiline stringgadget |#ES_MULTILINE|#ESB_DISABLE_LEFT|#ESB_DISABLE_RIGHT|#ES_AUTOVSCROLL
; Change editorgadgets to return RTF data to handle CRLF's and more

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 314
; FirstLine = 307
; EnableUnicode
; EnableXP
; UseIcon = Images\General\Program.ico
; UseMainFile = AppointmentMuncher.pb
; Executable = ..\..\AppointmentMuncher.exe
; EnablePurifier