﻿;==========================================================================================================================================================
; Archive a copy of the selected record to the archive table
;==========================================================================================================================================================

Procedure ArchiveCurrentAppointment()
  
  ;------------------------------------------------------------------------------------------------
  ; Check if the alarm checker is running first
  ;------------------------------------------------------------------------------------------------
  
  If Program\DontCheck <> 1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CurrentLine.i = GetGadgetState(#Gadget_AppointmentMuncher_Appointments)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If CurrentLine.i <> -1
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      CurrentRecord.s = GetGadgetItemText(#Gadget_AppointmentMuncher_Appointments, CurrentLine.i, Program\RecordColumn)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      appDeleted.s = GetGadgetItemText(#Gadget_AppointmentMuncher_Appointments, CurrentLine.i, Program\DeletedColumn)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If appDeleted.s <> "1"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        QueryString.s = "INSERT INTO Archive "
        
        QueryString.s + "SELECT * FROM Appointments "
        
        QueryString.s + "WHERE appRecord = '" + CurrentRecord.s + "'"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          appRecord.s = DatabaseLastInsertRowId()
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If appRecord.s <> ""
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            QueryString.s = "UPDATE Archive "
            
            QueryString.s + "SET appArchived = '1'"
            
            QueryString.s + "WHERE appRecord = '" + CurrentRecord.s + "'"
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
              
              SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveWorked, "ArchiveCurrentAppointment")
              
            Else
              
              SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed, "ArchiveCurrentAppointment")
              
            EndIf
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            QueryString.s = "UPDATE Appointments "
            
            QueryString.s + "SET appArchived = '1'"
            
            QueryString.s + "WHERE appRecord = '" + CurrentRecord.s + "'"
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
              
              SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveWorked, "ArchiveCurrentAppointment")
              
            Else
              
              SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed, "ArchiveCurrentAppointment")
              
            EndIf
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
          Else
            
            SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed + DatabaseError(), "ArchiveCurrentAppointment")
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings", "Error", #InfoStringUpdateFailed + DatabaseError(), "ArchiveCurrentAppointment")
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings",  "Warn",  #InfoStringCannotArchive)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      ; SetInfoBarArea("Headings", "Info",  #InfoStringNotSelected)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Warn",  #InfoStringAlarmRunning)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 102
; FirstLine = 109
; Folding = -
; EnableXP
; HideErrorLog