﻿;==========================================================================================================================================================
; 
;==========================================================================================================================================================

Procedure DeleteArchivedAppointment()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ArchiveLine.i = GetGadgetState(#Gadget_AppointmentArchive_Appointments)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If ArchiveLine.i <> -1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
  
    ArchiveRecord.s = GetGadgetItemText(#Gadget_AppointmentArchive_Appointments, ArchiveLine.i, Program\RecordColumn.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If ArchiveRecord.s <> ""
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s = "DELETE FROM Archive "
      
      QueryString.s + "WHERE appRecord = '" + ArchiveRecord.s + "'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
        
        ; The archived copy of the appointment was deleted"
        
      Else
        
        ; The archived copy of the appointment could not be deleted"
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s = "UPDATE Appointments "
      
      QueryString.s + "SET appArchived = '0'"
      
      QueryString.s + "WHERE appRecord = '" + ArchiveRecord.s + "'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
        
        SetInfoBarArea("Headings",  "Info",  #InfoStringArchiveWorked, "ArchiveNewAppointment")
        
      Else
        
        SetInfoBarArea("Headings",  "Error",  #InfoStringArchiveFailed, "ArchiveNewAppointment")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------

    Else
      
      ; "There was no record number found on that line"
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
  
  Else
    
    ; "There is no current line selected"
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 60
; FirstLine = 64
; Folding = -
; EnableXP