﻿;==========================================================================================================================================================
; Update the archived copy of the appointment being edited (If any)
;==========================================================================================================================================================

Procedure UpdateArchivedAppointment(RecordNumber.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  With Appointment
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    QueryString.s = "UPDATE Archive SET "
    
    QueryString.s + "appName = '"         +         \appName               + "', "
    
    QueryString.s + "appDate = '"         + IsoDate(\appDate, "IsoDate")   + "', "
    
    QueryString.s + "appTime = '"         +         \appTime               + "', "
    
    QueryString.s + "appAlarm = '"        + IsoDate(\appAlarm, "IsoDate")  + "', "
    
    QueryString.s + "appRepeat = '"       +         \appRepeat             + "', "
    
    QueryString.s + "appProtect = '"      +         \appProtect            + "', "
    
    QueryString.s + "appCategory = '"     +         \appCategory           + "', "
    
    QueryString.s + "appStatus = '"       +         \appStatus             + "', "
    
    QueryString.s + "appComment = '"      +         \appComment            + "'  "
    
;   QueryString.s + "appArchived = '"     +         \appArchived           + "'  "

;   QueryString.s + "appEmailed = '"      +         \appEmailed            + "'  "

;   QueryString.s + "appSound = '"        +         \appSound              + "'  "

;   QueryString.s + "appDeleted = '"      +         \appDeleted            + "' "
    
    QueryString.s + "WHERE appRecord = '" +         RecordNumber.s         + "'"
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
      
      DisplayAppointmentString(Program\CurrentLine, "EditMode")
      
    Else
      
      SetInfoBarArea("Headings", "Error", #InfoStringUpdateFailed + DatabaseError(), "SaveAppointmentData")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndWith
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 44
; FirstLine = 28
; Folding = -
; EnableXP
; HideErrorLog