﻿;========================================================================================================================================
; Set the heading of a ListIconGadget based on what you are hovering over 
;========================================================================================================================================

Procedure SetListIconHeaderTest()
  
  ;------------------------------------------------------------------------------------------------
  ; A macro to replace a lot of repeated code in place
  ;------------------------------------------------------------------------------------------------
  
  Macro StandardHeading
    
    SetGadgetText(#Gadget_AppointmentMuncher_lAppName,  Program\AppName)
    
    SetGadgetText(#Gadget_AppointmentMuncher_lAppDate,  Program\AppDate)
    
    SetGadgetText(#Gadget_AppointmentMuncher_lAppTime,  Program\AppTime)
    
    SetGadgetText(#Gadget_AppointmentMuncher_lAppAlarm, Program\AppAlarm)

  EndMacro
    
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  GetWindowRect_(GadgetID(#Gadget_AppointmentMuncher_Appointments), @Rect.RECT)
  
  ScreenToClient_(WindowID(#Window_AppointmentMuncher), @Rect)
  
  ScreenToClient_(WindowID(#Window_AppointmentMuncher), @Rect + 8)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  With Rect
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If WindowMouseX(#Window_AppointmentMuncher) > \Left And WindowMouseX(#Window_AppointmentMuncher) < \Right
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If WindowMouseY(#Window_AppointmentMuncher) > \Top And WindowMouseY(#Window_AppointmentMuncher) < \Bottom
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        HitTestInfo.LV_HITTESTINFO
        
        HitTestInfo\pt\x = WindowMouseX(#Window_AppointmentMuncher)
        
        HitTestInfo\pt\y = WindowMouseY(#Window_AppointmentMuncher)
        
        ClientToScreen_(WindowID(#Window_AppointmentMuncher), @HitTestInfo\pt)
        
        ScreenToClient_(GadgetID(#Gadget_AppointmentMuncher_Appointments), @HitTestInfo\pt)
        
        SendMessage_(GadgetID(#Gadget_AppointmentMuncher_Appointments), #LVM_SUBITEMHITTEST, 0, @HitTestInfo)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If HitTestInfo\iItem <> -1
          
          SetGadgetText(#Gadget_AppointmentMuncher_lAppName,  "<" + GetGadgetItemText(#Gadget_AppointmentMuncher_Appointments, HitTestInfo\iItem, 0) + ">")
          
          SetGadgetText(#Gadget_AppointmentMuncher_lAppDate,  "<" + GetGadgetItemText(#Gadget_AppointmentMuncher_Appointments, HitTestInfo\iItem, 1) + ">")
          
          SetGadgetText(#Gadget_AppointmentMuncher_lAppTime,  "<" + GetGadgetItemText(#Gadget_AppointmentMuncher_Appointments, HitTestInfo\iItem, 2) + ">")
          
          SetGadgetText(#Gadget_AppointmentMuncher_lAppAlarm, "<" + GetGadgetItemText(#Gadget_AppointmentMuncher_Appointments, HitTestInfo\iItem, 3) + ">")
          
        Else
          
          StandardHeading ; This macro replaces four lines of code
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        StandardHeading ; This macro replaces four lines of code
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      StandardHeading ; This macro replaces four lines of code
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndWith
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 4
; FirstLine = 2
; Folding = -
; EnableXP