﻿;==========================================================================================================================================================
; Turn time updating on in the title bar
;==========================================================================================================================================================

Procedure ToggleTitleClock()
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If Setup\TitleClock = 1
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Setup\TitleClock = 0
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    KillTimer_(WindowID(#Window_AppointmentMuncher), 624)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetWindowTitle(#Window_AppointmentMuncher, #Fish + #Basename + #Version)
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", #InfoStringStickyWindow + " off.")
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Setup\TitleClock = 0
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Setup\TitleClock = 1
    
    ;----------------------------------------------------------------------------------------------
    ; Create the permanent timer
    ;----------------------------------------------------------------------------------------------
    
    SetTimer_(WindowID(#Window_AppointmentMuncher), 624, 1000, @TitleBarClock())    ; 1000 = 1 second
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", #InfoStringTitleBarClock + " on.")
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SetMenuItemState(#Menu_AppointmentMuncher, #Menu_Titleclock, Setup\TitleClock)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.22 LTS (Windows - x86)
; CursorPosition = 70
; FirstLine = 42
; Folding = -
; EnableXP